Get Compute Profile

Get Compute Profile
Gets a Compute Profile by ID.

Get a compute profile.

Request
URI
GET
https://{server}/hybridity/api/interconnect/computeProfiles/{computeProfileId}
COPY
Path Parameters
string
computeProfileId
Required

Compute Profile ID


Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns computeProfileGetResponse of type(s) application/json
This response body class contains all of the following: ixComputeProfile , InlinecomputeProfileGetResponse1
{
    "computeProfileId": "string",
    "name": "string",
    "location": "string",
    "locationName": "string",
    "state": "string",
    "deploymentComputeClusterName": "string",
    "deploymentComputeClusterId": "string",
    "compute": [
        {
            "cmpId": "string",
            "cmpName": "string",
            "cmpType": "string",
            "type": "string",
            "id": "string",
            "name": "string",
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        }
    ],
    "services": [
        {
            "name": "string"
        }
    ],
    "deploymentContainer": {
        "compute": [
            {
                "cmpId": "string",
                "cmpName": "string",
                "cmpType": "string",
                "type": "string",
                "id": "string",
                "name": "string",
                "status": {
                    "state": "string",
                    "errorMessage": "string"
                }
            }
        ],
        "storage": [
            {
                "cmpId": "string",
                "cmpName": "string",
                "cmpType": "string",
                "type": "string",
                "id": "string",
                "name": "string",
                "status": {
                    "state": "string",
                    "errorMessage": "string"
                }
            }
        ],
        "folder": {
            "cmpId": "string",
            "cmpName": "string",
            "type": "string",
            "id": "string",
            "name": "string",
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        },
        "cpuReservation": 0,
        "memoryReservation": 0
    },
    "networks": [
        {
            "id": "string",
            "name": "string",
            "tags": [
                "string"
            ],
            "staticRoutes": [
                {
                    "network": "string",
                    "nextHop": "string"
                }
            ],
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        }
    ],
    "switches": [
        {
            "cmpId": "string",
            "id": "string",
            "type": "string",
            "name": "string",
            "maxMtu": "number",
            "l2cApplianceCount": "number",
            "host": {
                "id": "string",
                "name": "string"
            },
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        }
    ],
    "storage": [
        {
            "cmpId": "string",
            "cmpName": "string",
            "cmpType": "string",
            "type": "string",
            "id": "string",
            "name": "string",
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        }
    ],
    "lastTaskDetails": {
        "interconnectTaskId": "string",
        "type": "string",
        "status": "string"
    }
}

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/computeProfiles/{computeProfileId}